Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: nfs-utils
Version: 0.3.1
Release: 3tr
License: GPL
Source0: http://download.sourceforge.net/nfs/%{name}-%{version}.tar.gz
Source1: ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.gz
Patch0: nfslock.init-chkconfig.patch
Patch1: nfs-utils-1.0.3-mountd.secfix.patch
Group: Network/Services
Obsoletes: nfs-server
Obsoletes: knfsd
Obsoletes: knfsd-clients
Obsoletes: nfs-server-clients 
Obsoletes: knfsd-lock
Provides: nfs-server 
Provides: nfs-server-clients 
Provides: knfsd-lock 
Provides: knfsd-clients 
Provides: knfsd
Buildroot: /var/tmp/%{name}-root
Requires: kernel >= 2.2.14, portmap >= 4.0
PreReq: /sbin/chkconfig /sbin/restart_maybe

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -q -a 1 
%patch0 -p1 -b .chkconfig
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,man/man5,man/man8}}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share
make install install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 etc/redhat/nfs.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 etc/redhat/nfslock.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mv $RPM_BUILD_ROOT/usr/sbin/{rpc.lockd,rpc.statd} $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Restart service after upgrade.
/sbin/chkconfig --add nfs
/sbin/restart_maybe nfs
/sbin/chkconfig --add nfslock
/sbin/restart_maybe nfslock


%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/nfs
%dir /var/lib/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%doc README nfs/*.html nfs/*.ps linux-nfs/*
/sbin/rpcdebug
/sbin/rpc.lockd
/sbin/rpc.statd
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfsgraph
/usr/sbin/nhfsnums
/usr/sbin/nhfsrun
/usr/sbin/nhfsstone
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
/usr/sbin/showmount
/usr/share/man/*/*
%config /etc/rc.d/init.d/nfslock

%changelog
* Fri Jul 18 2003 Chr. Toldnes <christht@trustix.com> 0.3.1-3tr
- mountd sec patch.

* Fri Jan  3 2002 Christian H. Toldnes <christht@trustix.com>
- Correct chkconfig line in startup script.

* Mon Jun 11 2001 Erlend Midttun <erlendbm@trustix.com>
- Updated to 0.3.1

* Thu Oct 12 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 0.2.1

* Tue Jul 18 2000 Oystein Viggen <oysteivi@trustix.com>
- Upgraded to version 0.1.9.1

* Thu Jun 15 2000 Erlend Midttun <erlendbm@trustix.com>
- Removed startup of rpc.lockd as the kernel does take care of locking itself.
  We still keep the files though as other (older) kernels may want this.

* Thu Jun 08 2000 Erlend Midttun <erlendbm@trustix.com>
- Upgraded to version 0.1.8

* Wed Mar 29 2000 Lars Gaarden <larsg@trustix.com>
- Moved man pages to /usr/share, FHS.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- switch to nfs-utils as the base tree
- fix the statfs patch for the new code base
- single package that obsoletes everything we had before (if I am to keep
  some traces of my sanity with me...)

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- use statfs syscall instead of stat to determinal optimal blksize
